Browse webhooks
curl --request GET \
--url https://api.{tenant}.getomneo.com/api/v3/webhooksimport requests
url = "https://api.{tenant}.getomneo.com/api/v3/webhooks"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.{tenant}.getomneo.com/api/v3/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"trigger": "<string>",
"url": "<string>",
"namespace": "<string>",
"user_id": 123,
"is_active": true,
"retry_daily": true,
"retry_hourly": true,
"created_at": "<string>",
"updated_at": "<string>",
"queue": "<string>",
"condition": [
"<unknown>"
],
"extra_data_template": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Webhook
Browse webhooks
A GET to the /webhooks endpoint allows your application to retrieve all a tenants webhooks.
GET
/
v3
/
webhooks
Browse webhooks
Filtering
This endpoint accepts
filter and sort query parameters. See Filtering, sorting, and search for paging and for the shared search_with, custom_field, and json_contains filters.Examples
curl -X GET "https://api.[tenant].getomneo.com/api/v3/webhooks?filter[trigger]={trigger}" \
-H "Authorization: Bearer ${TOKEN}"
curl -X GET "https://api.[tenant].getomneo.com/api/v3/webhooks?filter[trigger][nullable]=0" \
-H "Authorization: Bearer ${TOKEN}"
Operators
| Operator | Meaning | Example |
|---|---|---|
eq | Equal to. Applied when you give no operator. | filter[trigger]={trigger} |
ne | Not equal to. | filter[trigger][ne]={trigger} |
gt | Greater than. | filter[trigger][gt]={trigger} |
gte | Greater than or equal to. | filter[trigger][gte]={trigger} |
lt | Less than. | filter[trigger][lt]={other-trigger} |
lte | Less than or equal to. | filter[trigger][lte]={other-trigger} |
in | Matches any value in a comma separated list. | filter[trigger][in]={trigger},{other-trigger} |
not_in | Excludes every value in a comma separated list. | filter[trigger][not_in]={trigger},{other-trigger} |
nullable | 1 returns records where the attribute is empty. Any other value returns records where it is set. | filter[trigger][nullable]=1 |
not_has operator applies to related attributes, which this endpoint does not have.
Filter attributes
| Attribute | Attribute | Attribute |
|---|---|---|
trigger | url | namespace |
is_active | retry_daily | retry_hourly |
queue | condition | extra_data_template |
sort key, for example ?sort=-trigger for descending order.⌘I